This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479008 - Review Request: libQGLViewer - Qt based OpenGL generic 3D viewer library
Review Request: libQGLViewer - Qt based OpenGL generic 3D viewer library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 08:50 EST by Laurent Rineau
Modified: 2010-07-09 14:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.3.1-8.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 13:12:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Laurent Rineau 2009-01-06 08:50:35 EST
Spec URL: http://www.normalesup.org/~rineau/Fedora/libQGLViewer.spec
SRPM URL: http://www.normalesup.org/~rineau/Fedora/libQGLViewer-2.3.1-5.fc10.src.rpm

Description: QGLViewer is a C++ library based on Qt that eases the creation of OpenGL
3D viewers. It provides some of the typical 3D viewer functionalities, such
as the possibility to move the camera using the mouse, which lacks in most
of the other APIs. Other features include mouse manipulated frames,
interpolated keyFrames, object selection, stereo display, screenshot saving
and much more. It can be used by OpenGL beginners as well as to create
complex applications, being fully customizable and easy to extend.

Notes for reviewers:
- libQGLViewer can be build with both Qt3 and Qt4. I have chosen to built it only with Qt4, as upstream uses the same sonames and headers paths for both (and Qt3 is quite obsolete, now).
- I am in touch with the upstream developer, Gilles Debunnes. Next release of CGAL (http://www.cgal.org/) will use QGLViewer for its 3D demos, and Gilles has added an exception for CGAL in the license, because CGAL has some pieces of QPL code. Actually, he has chosen to add the same exceptions as Trolltech does with Qt4. See the file GPL_EXCEPTION in %doc
- I am not sure about the License: tag. The license is GPL v2.0 or GPL v3.0 (and not the usual GPLv2+), and additionally there are exceptions.
- As a matter of fact, while writing the current review request, I have discovered that there may be a license issue: libQGLViewer ships and is combined with the VRender library, which is under GPLv2+ only (not exceptions). That probably cancel the exceptions. The upstream developer of VRender is a college of Gilles Debunne. I will ask them if the exception can be added to VRender as well. Until then, libQGLViewer could be declared as "License: GPLv2 or GPLv3".
Comment 1 Laurent Rineau 2009-01-06 09:40:59 EST
(In reply to comment #0)
> - As a matter of fact, while writing the current review request, I have
> discovered that there may be a license issue: libQGLViewer ships and is
> combined with the VRender library, which is under GPLv2+ only (not exceptions).
> That probably cancel the exceptions. The upstream developer of VRender is a
> college of Gilles Debunne. I will ask them if the exception can be added to
> VRender as well. Until then, libQGLViewer could be declared as "License: GPLv2
> or GPLv3".

Cyril Soler, the upstream developer of VRender, agrees to add the same license exceptions to VRender. That should be done soon. Let us say that this will be done before the end of this review.
Comment 2 Rex Dieter 2009-01-06 13:28:59 EST
One possible simplification would be to check to see if the -devel subpkg needs qt4-devel or not (qt4 headers), and if so, include the desiginer plugin in -devel (one less subpkg).
Comment 3 Laurent Rineau 2009-01-06 16:07:11 EST
Hi Rex, I do not know why I made a separate sub-package. Most probably I remember the time when Qt4 designer was in its own sub-package (in 2006).

To answer your question, the -devel sub-package does need qt4-devel. And I forgot that Requires! :-S

Update:
Spec URL: http://www.normalesup.org/~rineau/Fedora/libQGLViewer.spec
SRPM URL:
http://www.normalesup.org/~rineau/Fedora/libQGLViewer-2.3.1-6.fc10.src.rpm

Changelog:
* Tue Jan  6 2009 Laurent Rineau <Laurent.Rineau__fedora@normalesup.org> - 2.3.1-6
- Merge the subpackage -designer-plugin into -devel.
- Add Requires: qt4-devel to -devel.

Note: Because of the merge, I could have add an Obsoletes: in -devel (Provides is useless as nothing currently depends on libQGLViewer-designer-plugin), but I have commented it: as the package is not yet in Fedora collection, that Obsoletes: is an overkill.
Comment 4 Lubomir Rintel 2009-03-25 13:26:58 EDT
1.) No useless comments please

#Obsoletes:     %{name}-designer-plugin < %{version}-%{release}

2.) This is useless, even gcc itself grabs this in:

BuildRequires:  glibc-common

* Source file matches upstream
* SPEC file is clean and legible
* Builds fine in mock (http://koji.fedoraproject.org/koji/taskinfo?taskID=1258482)
* File list looks sane
* Requires/Provides are sane
* Headers and libraries files in -devel
* Compile flags used properly
* Checked for functionality (built and run skyviewer)

APPROVED
Comment 5 Lubomir Rintel 2009-03-30 15:30:23 EDT
Laurent: ping. Please request CVS for this.
Comment 6 Laurent Rineau 2009-03-30 16:01:13 EDT
I have never received the email corresponding to comment #4. Thank you for the ping, Lubomir (and for the review).

(In reply to comment #4)
> 1.) No useless comments please
> 
> #Obsoletes:     %{name}-designer-plugin < %{version}-%{release}

Right.

> 2.) This is useless, even gcc itself grabs this in:
> 
> BuildRequires:  glibc-common

:-)
That is silly, actually. I have added `rpm -qf /usr/bin/iconv` without remarking that it was a quite common package!

I will remove those two lines just after the cvs import.
Comment 7 Laurent Rineau 2009-03-30 16:09:53 EDT
New Package CVS Request
=======================
Package Name: libQGLViewer
Short Description: Qt based OpenGL generic 3D viewer library
Owners: rineau
Branches: F-10
InitialCC:
Comment 8 Kevin Fenzi 2009-03-30 17:29:18 EDT
cvs done.
Comment 9 Fedora Update System 2009-03-30 18:25:38 EDT
libQGLViewer-2.3.1-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libQGLViewer-2.3.1-7.fc10
Comment 10 Fedora Update System 2009-03-30 18:58:45 EDT
libQGLViewer-2.3.1-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libQGLViewer-2.3.1-7.fc10
Comment 11 Laurent Rineau 2009-03-30 19:10:43 EDT
(In reply to comment #10)
I had revoked my request for the update to F-10, to avoid an upgrade-path problems between F-10+updates to F-11-without-updates. And I just noticed that the beta-freeze policy allows new packages builds. So I have re-requested the update.
Comment 12 Fedora Update System 2009-04-02 13:12:24 EDT
libQGLViewer-2.3.1-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-04-03 05:01:49 EDT
libQGLViewer-2.3.1-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libQGLViewer-2.3.1-8.fc10
Comment 14 Fedora Update System 2009-04-06 16:27:27 EDT
libQGLViewer-2.3.1-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Laurent Rineau 2010-07-09 06:05:43 EDT
Package Change Request
======================
Package Name: libQGLViewer
New Branches: EL-5 EL-6
Owners: rineau

The Fedora Astronomy SIG asks for libQGLViewer to be in EL-6 (at least one of their packages need it). I have a EL-5-enabled machine (under CentOS), and somebody from the Astronomy SIG will co-maintain the EL-6 branch once it is created.
Comment 16 Kevin Fenzi 2010-07-09 14:13:35 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.